Get All Cluster Nodes
GET
/cluster/nodes
const url = 'https://sylve.lan:8181/api/cluster/nodes';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/cluster/nodes \ --header 'Authorization: <Authorization>'Get all nodes in the cluster
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
api
string
cpu
integer
cpuUsage
number
createdAt
string
disk
integer
diskUsage
number
guestIDs
Array<integer>
hostname
string
id
integer
memory
integer
memoryUsage
number
nodeUUID
string
status
string
sylveVersion
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "api": "example", "cpu": 1, "cpuUsage": 1, "createdAt": "example", "disk": 1, "diskUsage": 1, "guestIDs": [ 1 ], "hostname": "example", "id": 1, "memory": 1, "memoryUsage": 1, "nodeUUID": "example", "status": "example", "sylveVersion": "example", "updatedAt": "example" } ], "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}